Loading...
Searching...
No Matches
ladspa::LadspaPluginList Class Reference

`#include <ladspaback.h>`

Inheritance diagram for ladspa::LadspaPluginList:

## Public Member Functions

| LadspaPluginList ()
| ~LadspaPluginList ()
void | readJSON (gx_system::JsonParser &jp)
void | writeJSON (gx_system::JsonWriter &jw)
void | load (gx_system::CmdlineOptions &options, std::vector< std::string > &old_not_found)
void | save (gx_system::CmdlineOptions &options)

## Public Attributes

LV2Preset | pdata

## Private Types

typedef std::map< std::string, PluginDesc * > | pluginmap

## Private Member Functions

bool | feature_is_supported (const char *uri)
void | add_plugin (const LilvPlugin *plugin, pluginmap &d, gx_system::CmdlineOptions &options)
void | lv2_load (pluginmap &d, gx_system::CmdlineOptions &options)
void | get_presets (LV2Preset *pdata)

## Static Private Member Functions

static void | get_preset_values (const char *port_symbol, void *user_data, const void *value, uint32_t size, uint32_t type)
static void | set_preset_values (Glib::ustring port_symbol, LV2Preset *pdata, Glib::ustring value)
static std::string | make_key (unsigned long unique_id)
static void | add_plugin (const LADSPA_Descriptor &desc, pluginmap &d, const std::string &path, int index)
static void | load_defs (const std::string &path, pluginmap &d)
static void | set_instances (const char *uri, pluginmap &d, std::vector< Glib::ustring > &label, std::vector< unsigned long > &not_found, std::set< unsigned long > &seen)
static void | descend (const char *uri, pluginmap &d, std::vector< unsigned long > &not_found, std::set< unsigned long > &seen, std::vector< Glib::ustring > &base)

## Private Attributes

LilvWorld * | world
const LilvPlugins * | lv2_plugins
LilvNode * | lv2_AudioPort
LilvNode * | lv2_ControlPort
LilvNode * | lv2_InputPort
LilvNode * | lv2_OutputPort
LilvNode * | lv2_connectionOptional
LilvNode * | lv2_AtomPort

## Detailed Description

Definition at line 201 of file ladspaback.h.

## Member Typedef Documentation

## pluginmap

typedef std::map<std::string, PluginDesc*> ladspa::LadspaPluginList::pluginmap

private

Definition at line 203 of file ladspaback.h.

## Constructor & Destructor Documentation

## LadspaPluginList()

ladspa::LadspaPluginList::LadspaPluginList | ( |  | ) |

## ~LadspaPluginList()

ladspa::LadspaPluginList::~LadspaPluginList | ( |  | ) |

## Member Function Documentation

## add_plugin() [1/2]

void ladspa::LadspaPluginList::add_plugin | ( | const LADSPA_Descriptor & | desc,
|  | pluginmap & | d,
|  | const std::string & | path,
|  | int | index )

static private

## add_plugin() [2/2]

void ladspa::LadspaPluginList::add_plugin | ( | const LilvPlugin * | plugin,
|  | pluginmap & | d,
|  | gx_system::CmdlineOptions & | options )

private

## descend()

void ladspa::LadspaPluginList::descend | ( | const char * | uri,
|  | pluginmap & | d,
|  | std::vector< unsigned long > & | not_found,
|  | std::set< unsigned long > & | seen,
|  | std::vector< Glib::ustring > & | base )

static private

## feature_is_supported()

bool ladspa::LadspaPluginList::feature_is_supported | ( | const char * | uri | ) |

private

## get_preset_values()

void ladspa::LadspaPluginList::get_preset_values | ( | const char * | port_symbol,
|  | void * | user_data,
|  | const void * | value,
|  | uint32_t | size,
|  | uint32_t | type )

static private

## get_presets()

void ladspa::LadspaPluginList::get_presets | ( | LV2Preset * | pdata | ) |

private

## load()

void ladspa::LadspaPluginList::load | ( | gx_system::CmdlineOptions & | options,
|  | std::vector< std::string > & | old_not_found )

## load_defs()

void ladspa::LadspaPluginList::load_defs | ( | const std::string & | path,
|  | pluginmap & | d )

static private

## lv2_load()

void ladspa::LadspaPluginList::lv2_load | ( | pluginmap & | d,
|  | gx_system::CmdlineOptions & | options )

private

## make_key()

std::string ladspa::LadspaPluginList::make_key | ( | unsigned long | unique_id | ) |

inline static private

Definition at line 216 of file ladspaback.h.

## readJSON()

void ladspa::LadspaPluginList::readJSON | ( | gx_system::JsonParser & | jp | ) |

## save()

void ladspa::LadspaPluginList::save | ( | gx_system::CmdlineOptions & | options | ) |

## set_instances()

void ladspa::LadspaPluginList::set_instances | ( | const char * | uri,
|  | pluginmap & | d,
|  | std::vector< Glib::ustring > & | label,
|  | std::vector< unsigned long > & | not_found,
|  | std::set< unsigned long > & | seen )

static private

## set_preset_values()

void ladspa::LadspaPluginList::set_preset_values | ( | Glib::ustring | port_symbol,
|  | LV2Preset * | pdata,
|  | Glib::ustring | value )

static private

## writeJSON()

void ladspa::LadspaPluginList::writeJSON | ( | gx_system::JsonWriter & | jw | ) |

## Member Data Documentation

## lv2_AtomPort

LilvNode* ladspa::LadspaPluginList::lv2_AtomPort

private

Definition at line 211 of file ladspaback.h.

## lv2_AudioPort

LilvNode* ladspa::LadspaPluginList::lv2_AudioPort

private

Definition at line 206 of file ladspaback.h.

## lv2_connectionOptional

LilvNode* ladspa::LadspaPluginList::lv2_connectionOptional

private

Definition at line 210 of file ladspaback.h.

## lv2_ControlPort

LilvNode* ladspa::LadspaPluginList::lv2_ControlPort

private

Definition at line 207 of file ladspaback.h.

## lv2_InputPort

LilvNode* ladspa::LadspaPluginList::lv2_InputPort

private

Definition at line 208 of file ladspaback.h.

## lv2_OutputPort

LilvNode* ladspa::LadspaPluginList::lv2_OutputPort

private

Definition at line 209 of file ladspaback.h.

## lv2_plugins

const LilvPlugins* ladspa::LadspaPluginList::lv2_plugins

private

Definition at line 205 of file ladspaback.h.

## pdata

LV2Preset ladspa::LadspaPluginList::pdata

Definition at line 230 of file ladspaback.h.

Referenced by get_presets(), and set_preset_values().

## world

LilvWorld* ladspa::LadspaPluginList::world

private

Definition at line 204 of file ladspaback.h.

The documentation for this class was generated from the following file:

- src/headers/ladspaback.h